/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
#+
#+     Glade / Gtk Programming
#+
#+     Copyright (C) 2020, 2021, 2022, 2023, 2024
#+      by Kevin C. O'Kane
#+
#+     Kevin C. O'Kane
#+     kc.okane@gmail.com
#+     https://www.cs.uni.edu/~okane
#+     http://threadsafebooks.com/
#+
#+ This program is free software; you can redistribute it and/or modify
#+ it under the terms of the GNU General Public License as published by
#+ the Free Software Foundation; either version 2 of the License, or
#+ (at your option) any later version.
#+
#+ This program is distributed in the hope that it will be useful,
#+ but WITHOUT ANY WARRANTY; without even the implied warranty of
#+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#+ GNU General Public License for more details.
#+
#+ You should have received a copy of the GNU General Public License
#+ along with this program; if not, write to the Free Software
#+ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#+
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

//	Feb 23, 2024

#ifndef COMMON_WIDGETS_H
#define COMMON_WIDGETS_H

GtkWidget *current_stack = NULL;

GtkWidget *dismiss_zippy_says;
GtkWidget *pause_frames;
GtkWidget *sel1;
GtkWidget *sel2;
GtkWidget *sel3;
GtkWidget *sel4;
GtkWidget *esel1;
GtkWidget *esel2;
GtkWidget *esel3;
GtkWidget *esel4;
GtkWidget *video_adj_box;
GtkWidget *settings_dlg;
GtkWidget *join_box;
GtkWidget *overlay_end_lbl;
GtkWidget *overlay_end;
GtkWidget *overlay_box;
GtkWidget *five_speed;
GtkWidget *quad_speed;
GtkWidget *tripple_speed;
GtkWidget *double_speed;
GtkWidget *full_speed;
GtkWidget *half_speed;
GtkWidget *quarter_speed;
GtkWidget *eighth_speed;
GtkWidget *frame_forward1;
GtkWidget *frame_forward2;
GtkWidget *sp_count;
GtkWidget *loop_stream;
GtkWidget *out_fade;
GtkWidget *in_fade;
GtkWidget *granularity;
GtkWidget *zippy_toy;
GtkWidget *pgedit_back;
GtkWidget *frame_image;
GtkWidget *frame_image1;
GtkWidget *frame_image2;
GtkWidget *frame_image3;
GtkWidget *frame_image4;
GtkWidget *frame_image5;
GtkWidget *flbl1;
GtkWidget *flbl2;
GtkWidget *flbl3;
GtkWidget *flbl4;
GtkWidget *flbl5;
GtkWidget *rantran;
GtkWidget *select_all;
GtkWidget *clear_all;
GtkWidget *dir_label;
GtkWidget *file_name_entry;
GtkWidget *file_name_cancel;
GtkWidget *file_name_ok;
GtkWidget *file_name;
GtkWidget *monochrome;
GtkWidget *insert_text;
GtkWidget *run_result;
GtkWidget *sharp_y;
GtkWidget *sharp_x;
GtkWidget *sharp_amount;
GtkWidget *text_image;
GtkWidget *text_start;
GtkWidget *text_end;
GtkWidget *text_fixed;
GtkWidget *text_label;
GtkWidget *text_frame;
GtkWidget *dbox4_tv;
GtkWidget *dbox4_sw;
GtkWidget *edge_canny;
GtkWidget *edge_wires;
GtkWidget *edge_colormix;
GtkWidget *view_log;
GtkWidget *clip_length;
GtkWidget *time_7;
GtkWidget *time_8;
GtkWidget *time_9;
GtkWidget *time_10;
GtkWidget *time_11;
GtkWidget *time_12;
GtkWidget *time_13;
GtkWidget *time_14;
GtkWidget *time_2;
GtkWidget *time_3;
GtkWidget *time_4;
GtkWidget *time_15;
GtkWidget *vid_custom;
GtkWidget *vid_640x480;
GtkWidget *vid_720x480;
GtkWidget *vid_1280x720;
GtkWidget *vid_1920x1080;
GtkWidget *vid_3840x2160;
GtkWidget *frame_next;
GtkWidget *strip_audio;
GtkWidget *crop_left;
GtkWidget *crop_right;
GtkWidget *crop_top;
GtkWidget *crop_bottom;
GtkWidget *full_speed;
GtkWidget *posLbl;
GtkWidget *frame_grab;
GtkWidget *join_videos;
GtkWidget *wait_label;
GtkWidget *crop_full;
GtkWidget *clear_clip;
GtkWidget *snapshot;
GtkWidget *end_mark;
GtkWidget *start_mark;
GtkWidget *make_clip;
GtkWidget *join_group;
GtkWidget *top1_back;
GtkWidget *join_group2;
GtkWidget *join_group3;
GtkWidget *join_group4;
GtkWidget *join_group5;
GtkWidget *join_group6;
GtkWidget *join_group7;
GtkWidget *join_group8;
GtkWidget *join_group9;
GtkWidget *join_group10;
GtkWidget *join_group11;
GtkWidget *join_group12;
GtkWidget *join_group13;
GtkWidget *join_group14;
GtkWidget *join_group15;
GtkWidget *join_group16;
GtkWidget *join_group17;
GtkWidget *join_group18;
GtkWidget *join_group1;
GtkWidget *ct_fixed;
GtkWidget *ed_fixed;
GtkWidget *crop_reset;
GtkWidget *pg_edit;
GtkWidget *mini_mode;
GtkWidget *time_of_day;
GtkWidget *cam0_image = NULL;
GtkWidget *audio;
GtkWidget *background;
GtkWidget *button10;
GtkWidget *button11;
GtkWidget *button12;
GtkWidget *button13;
GtkWidget *button14;
GtkWidget *button15;
GtkWidget *button2;
GtkWidget *button3;
GtkWidget *button5;
GtkWidget *button6;
GtkWidget *button[8];
GtkWidget *button8;
GtkWidget *button9;
GtkWidget *calibrateLbl;
GtkWidget *cbox1;
GtkWidget *check1;
GtkWidget *check10;
GtkWidget *check11;
GtkWidget *check12;
GtkWidget *check2;
GtkWidget *check3;
GtkWidget *check4;
GtkWidget *check5;
GtkWidget *check6;
GtkWidget *check7;
GtkWidget *check8;
GtkWidget *check9;
GtkWidget *choose1;
GtkWidget *dir_chooser;
GtkWidget *classical;
GtkWidget *clevel;
GtkWidget *club;
GtkWidget *controls;
GtkWidget *currentFile;
GtkWidget *dance;
GtkWidget *del10;
GtkWidget *del11;
GtkWidget *del12;
GtkWidget *del13;
GtkWidget *del14;
GtkWidget *del15;
GtkWidget *del2;
GtkWidget *del3;
GtkWidget *del4;
GtkWidget *del7;
GtkWidget *del8;
GtkWidget *del9;
GtkWidget *draw3;
GtkWidget *clip_markers;
GtkWidget *egg_image;
GtkWidget *empty;
GtkWidget *eqReset;
GtkWidget *first;
GtkWidget *fixed1;
GtkWidget *fixed2;
GtkWidget *fixed_slides;
GtkWidget *g_btn_play;
GtkWidget *g_btn_play2;
GtkWidget *g_dbox4;
GtkWidget *g_dbox5;
GtkWidget *g_image1;
GtkWidget *g_scale1;
GtkWidget *haltProgram;
GtkWidget *highLabel;
GtkWidget *horLabel;
GtkWidget *lbl1;
GtkWidget *lbl10;
GtkWidget *lbl11;
GtkWidget *lbl12;
GtkWidget *lbl2;
GtkWidget *lbl22;
GtkWidget *lbl23;
GtkWidget *lbl24;
GtkWidget *lbl25;
GtkWidget *lbl3;
GtkWidget *lbl4;
GtkWidget *lbl5;
GtkWidget *lbl6;
GtkWidget *lbl7;
GtkWidget *lbl8;
GtkWidget *lbl9;
GtkWidget *live;
GtkWidget *more;
GtkWidget *narrow;
GtkWidget *up1;
GtkWidget *up10;
GtkWidget *up11;
GtkWidget *up12;
GtkWidget *up2;
GtkWidget *up3;
GtkWidget *up4;
GtkWidget *up5;
GtkWidget *up6;
GtkWidget *up7;
GtkWidget *up8;
GtkWidget *up9;
GtkWidget *rampSpeedDown;
GtkWidget *rampSpeedUp;
GtkWidget *sgrStudio;
GtkWidget *sock1;
GtkWidget *sort;  // alpha sort
GtkWidget *sort1;  // alpha sort
GtkWidget *source;
GtkWidget *vlcPosition;
GtkWidget *window;
GtkWidget *scroll = NULL;
GtkWidget *rayLbl;
GtkWidget *frame1;
GtkWidget *drawV;
GtkWidget *micGain;
GtkWidget *xbox2;

GtkCssProvider  *cssProviderUP;
GtkCssProvider  *cssProviderProg;
GtkCssProvider  *cssProviderDOWN;
GtkCssProvider  *cssProviderpauseVideo;
GtkCssProvider  *cssProviderpauseAtEnd;
GtkCssProvider  *cssProvidertooltips;
GtkCssProvider  *cssProvider_top;
GtkCssProvider  *cssProvider_entry1;
GtkCssProvider  *cssProvider_entry2;
GtkCssProvider  *cssProvider_entry2a;
GtkCssProvider  *cssProvider_entry3;
GtkCssProvider  *cssProvider_entry4;

libvlc_instance_t	*inst = NULL;
libvlc_media_player_t	*mediaPlayer = NULL;
libvlc_media_t		*media = NULL;
libvlc_equalizer_t	*equalizer = NULL;

GtkColorButton *back_color;
GtkColorButton *text_color;

GdkColor color;

GtkTextBuffer *TextBuffer;

GtkAdjustment *adjustment37;
GtkAdjustment *adjustment33;
GtkAdjustment *adjustment32;
GtkAdjustment *adjustment31;
GtkAdjustment *adjustment30;
GtkAdjustment *adjustment29;
GtkAdjustment *adjustment28;
GtkAdjustment *adjustment27;
GtkAdjustment *adjustment26;
GtkAdjustment *adjustment25;
GtkAdjustment *adjustment23;
GtkAdjustment *adjustment22;
GtkAdjustment *adjustment21;
GtkAdjustment *adjustment20;
GtkAdjustment *adjustment54;
GtkAdjustment *adjustment40;
GtkAdjustment *adjustment6;
GtkAdjustment *adjustment7;
GtkAdjustment *adjustment1;
GtkAdjustment *adjustment8;
GtkAdjustment *adjustment9;
GtkAdjustment *adjustment10;
GtkAdjustment *adjustment11;
GtkAdjustment *adjustment12;
GtkAdjustment *adjustment13; // back_trans
GtkAdjustment *adjustment14; // text_start
GtkAdjustment *adjustment15; // text_end
GtkAdjustment *adjustment16; // text_size

GtkEntry *OverlayEntry1;
GtkEntry *OverlayEntry2;
GtkEntry *entry1;
GtkEntry *entry10;
GtkEntry *entry11;
GtkEntry *entry12;
GtkEntry *entry13;
GtkEntry *entry14;
GtkEntry *entry15;
GtkEntry *entry2;
GtkEntry *entry3;
GtkEntry *entry4;
GtkEntry *entry7;
GtkEntry *entry8;
GtkEntry *entry9;
GtkEntry *g_dbox5Entry;

GdkPixbuf *pixbuf;
GdkPixbuf *cambuf;

GdkWindow *gdk_window;

GError *err;

GtkBuilder      *builder;

#endif
